# Uses of Class
org.eclipse.team.core.synchronize.FastSyncInfoFilter

Packages that use FastSyncInfoFilter
Package
Description
org.eclipse.team.core.synchronize
Application programming interfaces for managing synchronization state.
org.eclipse.team.ui.synchronize
Contains the team synchronization presentation framework and support for the Synchronize View.

## Uses of FastSyncInfoFilter in org.eclipse.team.core.synchronize

Subclasses of FastSyncInfoFilter in org.eclipse.team.core.synchronize
Modifier and Type
Class
Description
`static class`
`FastSyncInfoFilter.AndSyncInfoFilter`
Selects `SyncInfo` which match all child filters.
`static class`
`FastSyncInfoFilter.AutomergableFilter`
Selects `SyncInfo` instances that are auto-mergable.
`static class`
`FastSyncInfoFilter.CompoundSyncInfoFilter`
An abstract class which contains a set of `FastSyncInfoFilter` instances.
`static class`
`FastSyncInfoFilter.OrSyncInfoFilter`
Selects `SyncInfo` that match any of the child filters.
`static class`
`FastSyncInfoFilter.PseudoConflictFilter`
Selects `SyncInfo` instances that are pseudo-conflicts.
`static class`
`FastSyncInfoFilter.SyncInfoChangeTypeFilter`
Selects `SyncInfo` whose change type match those of the filter.
`static class`
`FastSyncInfoFilter.SyncInfoDirectionFilter`
Selects `SyncInfo` whose change direction match those of the filter.
Fields in org.eclipse.team.core.synchronize declared as FastSyncInfoFilter
Modifier and Type
Field
Description
`protected FastSyncInfoFilter[]`
FastSyncInfoFilter.CompoundSyncInfoFilter.`filters`
Instance variable which contains all the child filters for this compound filter.
Methods in org.eclipse.team.core.synchronize that return FastSyncInfoFilter
Modifier and Type
Method
Description
`static FastSyncInfoFilter`
FastSyncInfoFilter.`getDirectionAndChangeFilter(int direction, int change)`
Selects `SyncInfo` that match the given change type and direction.
Methods in org.eclipse.team.core.synchronize with parameters of type FastSyncInfoFilter
Modifier and Type
Method
Description
`SyncInfo[]`
SyncInfoSet.`getNodes(FastSyncInfoFilter filter)`
Return all nodes in this set that match the given filter.
`boolean`
SyncInfoSet.`hasNodes(FastSyncInfoFilter filter)`
Indicate whether the set has nodes matching the given filter.
`void`
SyncInfoSet.`rejectNodes(FastSyncInfoFilter filter)`
Removes all nodes from this set that match the given filter leaving those that do not match the filter.
`void`
SyncInfoSet.`selectNodes(FastSyncInfoFilter filter)`
Removes all nodes from this set that do not match the given filter leaving only those that do match the filter.
Constructors in org.eclipse.team.core.synchronize with parameters of type FastSyncInfoFilter
Modifier
Constructor
Description
``
`AndSyncInfoFilter(FastSyncInfoFilter[] filters)`
Create an AND filter from the given filters
`protected`
`CompoundSyncInfoFilter(FastSyncInfoFilter[] filters)`
Create a compound filter that contains the provided filters.
``
`OrSyncInfoFilter(FastSyncInfoFilter[] filters)`
Create an OR filter from the given filters

## Uses of FastSyncInfoFilter in org.eclipse.team.ui.synchronize

Methods in org.eclipse.team.ui.synchronize that return FastSyncInfoFilter
Modifier and Type
Method
Description
`protected FastSyncInfoFilter`
SynchronizeModelAction.`getSyncInfoFilter()`
Filter uses to filter the user selection to contain only those elements for which this action is enabled.